Create credit checkout
curl --request POST \
--url https://api.veryfront.com/credits/topup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_reference": "<string>",
"projectId": "<string>",
"project_id": "<string>",
"successUrl": "<string>",
"success_url": "<string>",
"cancelUrl": "<string>",
"cancel_url": "<string>"
}
'import requests
url = "https://api.veryfront.com/credits/topup"
payload = {
"project_reference": "<string>",
"projectId": "<string>",
"project_id": "<string>",
"successUrl": "<string>",
"success_url": "<string>",
"cancelUrl": "<string>",
"cancel_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_reference: '<string>',
projectId: '<string>',
project_id: '<string>',
successUrl: '<string>',
success_url: '<string>',
cancelUrl: '<string>',
cancel_url: '<string>'
})
};
fetch('https://api.veryfront.com/credits/topup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "checkout_created",
"checkout_url": "<string>"
}{
"error": "<string>"
}Creates a checkout session for a credit package top-up.
POST
/
credits
/
topup
Create credit checkout
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
Credit package ID in camelCase form
Available options:
small, medium, large, xl Credit package ID in snake_case form
Available options:
small, medium, large, xl Project UUID or slug for owner-pays top-up
Deprecated project ID or slug alias. Use project_reference.
Deprecated project ID or slug alias. Use project_reference.
Checkout success redirect URL in camelCase form
Checkout success redirect URL in snake_case form
Checkout cancellation redirect URL in camelCase form
Checkout cancellation redirect URL in snake_case form
⌘I